###############################################################################

stages:
  - validate
  - publish

###############################################################################

.ruby_before_script: &ruby_before_script
  - hash gem
  - hash rake
  - hash bundle
  - bundle install

###############################################################################

validate_chart:
  stage: validate
  image:
    name: ruby:3
  script:
    - echo "-- Running Validate Chart --"
    - *ruby_before_script
    - rake "chart:validate"

###############################################################################

validate_examples:
  stage: validate
  rules:
    - exists:
        - "examples/*"
  image:
    name: registry.gitlab.com/bitservices/containers/yamllint:1.35.1
    entrypoint: [ "" ]
  script:
    - echo "-- Beginning Validate Examples --"
    - hash yamllint
    - yamllint -c "./yamllint.yaml" "examples"

###############################################################################

publish:
  stage: publish
  only :
    - tags
  image:
    name: ruby:3
  script:
    - echo "-- Running Publish --"
    - *ruby_before_script
    - test -n "${CI_REGISTRY_USER}"
    - test -n "${CI_REGISTRY_PASSWORD}"
    - rake "chart:push[true]"

###############################################################################
